# enable python3 on fedora
%if 0%{?fedora}
%bcond_without python3
%else
%bcond_with python3
%endif

%global pypi_name nosexcover

Name:           python-nose-xcover
Version:        1.0.11
Release:        1%{?dist}
Summary:        Extends nose.plugins.cover to add Cobertura-style XML reports

License:        BSD
URL:            http://pypi.python.org/pypi/nosexcover
Source0:        https://pypi.python.org/packages/source/n/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python2-setuptools

%global _description\
A companion to the built-in nose.plugins.cover,\
this plugin will write out an XML coverage report to a file named coverage.xml.\
It will honor all the options you pass to the `Nose coverage plugin\
especially --cover-package.\


%description %_description

%package -n python2-nose-xcover
Summary: %summary
Requires:       python2-nose
Requires:       python2-coverage >= 3.4
%{?python_provide:%python_provide python2-nose-xcover}

%description -n python2-nose-xcover %_description

%if %{with python3}
%package -n python3-nose-xcover
Summary:        Extends nose.plugins.cover to add Cobertura-style XML reports
License:        BSD

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

Requires:       python3-nose
Requires:       python3-coverage >= 3.4

%description -n python3-nose-xcover
A companion to the built-in nose.plugins.cover,
this plugin will write out an XML coverage report to a file named coverage.xml.
It will honor all the options you pass to the `Nose coverage plugin
especially --cover-package.
%endif


%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info


%build
%{__python2} setup.py build

%if %{with python3}
%{__python3} setup.py build
%endif


%install
%if %{with python3}
%{__python3} setup.py install -O1 --skip-build --root %{buildroot}
%endif

%{__python2} setup.py install --skip-build --root %{buildroot}


%files -n python2-nose-xcover
%doc PKG-INFO
%{python2_sitelib}/%{pypi_name}
%{python2_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%if %{with python3}
%files -n python3-nose-xcover
%doc PKG-INFO
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info
%endif


%changelog
* Tue Sep 04 2018 Matthias Runge <mrunge@redhat.com> - 1.0.11-1
- update to 1.0.11 (rhbz#1390036)

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.10-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 1.0.10-12
- Rebuilt for Python 3.7

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.10-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Fri Jan 26 2018 Iryna Shcherbina <ishcherb@redhat.com> - 1.0.10-10
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Sat Aug 19 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.0.10-9
- Python 2 binary package renamed to python2-nose-xcover
  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.10-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.10-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 1.0.10-6
- Rebuild for Python 3.6

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.10-5
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.10-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Nov 10 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.10-3
- Rebuilt for https://fedoraproject.org/wiki/Changes/python3.5

* Tue Sep 01 2015 Matthias Runge <mrunge@redhat.com> - 1.0.10-2
- fix requirements (rhbz#1258817)

* Fri Jul 03 2015 Piotr Popieluch <piotr1212@gmail.com> - 1.0.10-1
- Update to upstream 1.0.10
- Add Python 3 support

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.7-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.7-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Tue Sep 11 2012 Matthias Runge <mrunge@redhat.com> - 1.0.7-1
- Initial package.
